SW-COLLECTOR(8)

NAME
sw-collector - Extracts software installation events from dpkg history log

SYNOPSIS
sw-collector [--debug level] [--quiet] [--count event-count]
sw-collector [--debug level] [--quiet] [--installed|--removed] --list|--unregistered
sw-collector [--debug level] [--quiet] [--installed|--removed] [--full] --generate
sw-collector [--debug level] [--quiet] --migrate
sw-collector [--debug level] [--quiet] --check
sw-collector -h | --help

DESCRIPTION
sw-collector extracts information about software package installation, update or removal events from the apt history log and stores the software events in an SQLite database. The retrieved history information is then merged and made consistent with the actual list of installed software packages obtained with dpkg-query.

OPTIONS

-h, --help
    Prints usage information and a short summary of the available commands.

-v, --debug level
    Set debug level, default: 2.

-q, --quiet
    Disable debug output to stderr.

-i, --installed
    Apply command to installed software packages, only.

-r, --removed
    Apply command to removed software packages, only.

-f, --full
    Generate ISO 19770-2:2015 SWID tags with full file information (possible for installed software packages, only).

-l, --list
    Lists all software packages stored in the collector database showing their installation status.

-u, --unregistered
    Lists all software packages residing in the local collector database but for which no SWID tags exist yet in a central collector database reachable via a REST interface.

-g, --generate
    Generates ISO 19770-2:2015 SWID tags for all software packages residing in the local collector database but for which no SWID tags exist in a central collector database reachable via a REST interface.

-m, --migrate
    Can be used to migrate collector database versions. Currently all architecture suffixes are removed from dpkg package names.

-C, --check
    Checks the integrity of the collector database against the actual list of installed packages obtained with dpkg-query.

CONFIGURATION
The following parameters can be configured in strongswan.conf:

 sw-collector {
    database = sqlite:///etc/pts/collector.db
    history = /var/log/apt/history.log
    first_time = 2016-04-22T20:55:14Z
    rest_api {
       uri = https://admin-user:ietf99hackathon@tnc.strongswan.org/api/
       timeout = 120
    }
 }

The parameters of the swid_generator used with the --generate command can be changed in the libimcv section of strongswan.conf:

 libimcv {
    swid_gen {
       command = /usr/local/bin/swid_generator
       tag_creator {
          name = strongSwan Project
          regid = strongswan.org
       }
    }
 }

FILES
@PKGDATADIR@/templates/database/sw-collector/sw_collector_tables.sql

SEE ALSO
strongswan.conf(5)